API reference

Country Specs

Knox answers these operations with the same requests and responses as Stripe's API. Authenticate with your secret key, Authorization: Bearer sk_test_..., from your server, and send form-encoded bodies. Test mode only: live processing is currently disabled.

Base URL
https://api.knoxapi.com

List Country Specs

GET/v1/country_specs

Lists all Country Spec objects available in the API.

Query parameters

  • ending_beforestring

    A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • limitinteger

    A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

  • starting_afterstring

    A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Returns

A list of country_spec objects.

GET /v1/country_specs
curl -G https://api.knoxapi.com/v1/country_specs \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  --data-urlencode limit=3
Response
{
  "object": "list",
  "url": "/v1/country_specs",
  "has_more": false,
  "data": [
    {
      "default_currency": "usd",
      "id": "US",
      "object": "country_spec",
      "supported_bank_account_currencies": {
        "usd": [
          "US"
        ]
      },
      "supported_payment_currencies": [
        "...",
        "aed",
        "afn",
        "usd"
      ],
      "supported_payment_methods": [
        "ach",
        "card",
        "stripe"
      ],
      "supported_transfer_countries": [
        "AE",
        "AG",
        "AL",
        "AM",
        "AO",
        "AR",
        "AT",
        "AU",
        "AZ",
        "BA",
        "BD",
        "BE",
        "BG",
        "BH",
        "BJ",
        "BN",
        "BO",
        "BS",
        "BT",
        "BW",
        "CA",
        "CH",
        "CI",
        "CL",
        "CO",
        "CR",
        "CY",
        "CZ",
        "DE",
        "DK",
        "DO",
        "DZ",
        "EC",
        "EE",
        "EG",
        "ES",
        "ET",
        "FI",
        "FR",
        "GA",
        "GB",
        "GH",
        "GM",
        "GR",
        "GT",
        "GY",
        "HK",
        "HR",
        "HU",
        "ID",
        "IE",
        "IL",
        "IS",
        "IT",
        "JM",
        "JO",
        "JP",
        "KE",
        "KH",
        "KR",
        "KW",
        "KZ",
        "LA",
        "LC",
        "LI",
        "LK",
        "LT",
        "LU",
        "LV",
        "MA",
        "MC",
        "MD",
        "MG",
        "MK",
        "MN",
        "MO",
        "MT",
        "MU",
        "MX",
        "MY",
        "MZ",
        "NA",
        "NE",
        "NG",
        "NL",
        "NO",
        "NZ",
        "OM",
        "PA",
        "PE",
        "PH",
        "PK",
        "PL",
        "PT",
        "PY",
        "QA",
        "RO",
        "RS",
        "RW",
        "SA",
        "SE",
        "SG",
        "SI",
        "SK",
        "SM",
        "SN",
        "SV",
        "TH",
        "TN",
        "TR",
        "TT",
        "TW",
        "TZ",
        "US",
        "UY",
        "UZ",
        "VN",
        "ZA"
      ],
      "verification_fields": {
        "company": {
          "additional": [],
          "minimum": [
            "business_profile.mcc",
            "business_profile.name",
            "business_profile.product_description",
            "business_profile.url",
            "business_type",
            "company.address.city",
            "company.address.line1",
            "company.address.postal_code",
            "company.address.state",
            "company.name",
            "company.owners_provided",
            "company.phone",
            "company.tax_id",
            "external_account",
            "owners.address.city",
            "owners.address.line1",
            "owners.address.postal_code",
            "owners.address.state",
            "owners.dob.day",
            "owners.dob.month",
            "owners.dob.year",
            "owners.email",
            "owners.first_name",
            "owners.last_name",
            "owners.phone",
            "representative.address.city",
            "representative.address.line1",
            "representative.address.postal_code",
            "representative.address.state",
            "representative.dob.day",
            "representative.dob.month",
            "representative.dob.year",
            "representative.email",
            "representative.first_name",
            "representative.id_number",
            "representative.last_name",
            "representative.phone",
            "representative.relationship.title",
            "representative.ssn_last_4",
            "representative.verification.document",
            "settings.card_payments.statement_descriptor_prefix",
            "settings.payments.statement_descriptor",
            "tos_acceptance.date",
            "tos_acceptance.ip"
          ]
        },
        "individual": {
          "additional": [],
          "minimum": [
            "business_profile.mcc",
            "business_profile.name",
            "business_profile.product_description",
            "business_profile.url",
            "business_type",
            "external_account",
            "individual.address.city",
            "individual.address.line1",
            "individual.address.postal_code",
            "individual.address.state",
            "individual.dob.day",
            "individual.dob.month",
            "individual.dob.year",
            "individual.email",
            "individual.first_name",
            "individual.id_number",
            "individual.last_name",
            "individual.phone",
            "individual.ssn_last_4",
            "individual.verification.document",
            "settings.card_payments.statement_descriptor_prefix",
            "settings.payments.statement_descriptor",
            "tos_acceptance.date",
            "tos_acceptance.ip"
          ]
        }
      }
    }
  ]
}

Retrieve a Country Spec

GET/v1/country_specs/{country}

Returns a Country Spec for a given Country code.

Path parameters

  • countrystringRequired

Query parameters

  • expandarray of strings

    Specifies which fields in the response should be expanded.

Returns

The country_spec object.

GET /v1/country_specs/{country}
curl https://api.knoxapi.com/v1/country_specs/country_123 \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "default_currency": "usd",
  "id": "US",
  "object": "country_spec",
  "supported_bank_account_currencies": {
    "usd": [
      "US"
    ]
  },
  "supported_payment_currencies": [
    "...",
    "aed",
    "afn",
    "usd"
  ],
  "supported_payment_methods": [
    "ach",
    "card",
    "stripe"
  ],
  "supported_transfer_countries": [
    "AE",
    "AG",
    "AL",
    "AM",
    "AO",
    "AR",
    "AT",
    "AU",
    "AZ",
    "BA",
    "BD",
    "BE",
    "BG",
    "BH",
    "BJ",
    "BN",
    "BO",
    "BS",
    "BT",
    "BW",
    "CA",
    "CH",
    "CI",
    "CL",
    "CO",
    "CR",
    "CY",
    "CZ",
    "DE",
    "DK",
    "DO",
    "DZ",
    "EC",
    "EE",
    "EG",
    "ES",
    "ET",
    "FI",
    "FR",
    "GA",
    "GB",
    "GH",
    "GM",
    "GR",
    "GT",
    "GY",
    "HK",
    "HR",
    "HU",
    "ID",
    "IE",
    "IL",
    "IS",
    "IT",
    "JM",
    "JO",
    "JP",
    "KE",
    "KH",
    "KR",
    "KW",
    "KZ",
    "LA",
    "LC",
    "LI",
    "LK",
    "LT",
    "LU",
    "LV",
    "MA",
    "MC",
    "MD",
    "MG",
    "MK",
    "MN",
    "MO",
    "MT",
    "MU",
    "MX",
    "MY",
    "MZ",
    "NA",
    "NE",
    "NG",
    "NL",
    "NO",
    "NZ",
    "OM",
    "PA",
    "PE",
    "PH",
    "PK",
    "PL",
    "PT",
    "PY",
    "QA",
    "RO",
    "RS",
    "RW",
    "SA",
    "SE",
    "SG",
    "SI",
    "SK",
    "SM",
    "SN",
    "SV",
    "TH",
    "TN",
    "TR",
    "TT",
    "TW",
    "TZ",
    "US",
    "UY",
    "UZ",
    "VN",
    "ZA"
  ],
  "verification_fields": {
    "company": {
      "additional": [],
      "minimum": [
        "business_profile.mcc",
        "business_profile.name",
        "business_profile.product_description",
        "business_profile.url",
        "business_type",
        "company.address.city",
        "company.address.line1",
        "company.address.postal_code",
        "company.address.state",
        "company.name",
        "company.owners_provided",
        "company.phone",
        "company.tax_id",
        "external_account",
        "owners.address.city",
        "owners.address.line1",
        "owners.address.postal_code",
        "owners.address.state",
        "owners.dob.day",
        "owners.dob.month",
        "owners.dob.year",
        "owners.email",
        "owners.first_name",
        "owners.last_name",
        "owners.phone",
        "representative.address.city",
        "representative.address.line1",
        "representative.address.postal_code",
        "representative.address.state",
        "representative.dob.day",
        "representative.dob.month",
        "representative.dob.year",
        "representative.email",
        "representative.first_name",
        "representative.id_number",
        "representative.last_name",
        "representative.phone",
        "representative.relationship.title",
        "representative.ssn_last_4",
        "representative.verification.document",
        "settings.card_payments.statement_descriptor_prefix",
        "settings.payments.statement_descriptor",
        "tos_acceptance.date",
        "tos_acceptance.ip"
      ]
    },
    "individual": {
      "additional": [],
      "minimum": [
        "business_profile.mcc",
        "business_profile.name",
        "business_profile.product_description",
        "business_profile.url",
        "business_type",
        "external_account",
        "individual.address.city",
        "individual.address.line1",
        "individual.address.postal_code",
        "individual.address.state",
        "individual.dob.day",
        "individual.dob.month",
        "individual.dob.year",
        "individual.email",
        "individual.first_name",
        "individual.id_number",
        "individual.last_name",
        "individual.phone",
        "individual.ssn_last_4",
        "individual.verification.document",
        "settings.card_payments.statement_descriptor_prefix",
        "settings.payments.statement_descriptor",
        "tos_acceptance.date",
        "tos_acceptance.ip"
      ]
    }
  }
}

Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.